BDU:2021-01438: Уязвимость функции expand_downwards ядра операционной системы Linux, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции expand_downwards ядра операционной системы Linux связана с разыменованием нулевого указателя. Эксплуатация уязвимости может позволить нарушителю вызвать отказ в обслуживании
Вендор Canonical Ltd., Novell Inc., Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра»
Наименование ПО Ubuntu, OpenSUSE Leap, Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Linux
Версия ПО
  • 12.04 (Ubuntu)
  • 16.04 LTS (Ubuntu)
  • 42.3 (OpenSUSE Leap)
  • 18.04 LTS (Ubuntu)
  • 18.10 (Ubuntu)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 15.0 (OpenSUSE Leap)
  • 10.0 (Debian GNU/Linux)
  • 14.04 ESM (Ubuntu)
  • от 4.14 до 4.14.105 (Linux)
  • от 4.19 до 4.19.27 (Linux)
  • от 4.20 до 4.20.14 (Linux)
  • от 4.9 до 4.9.162 (Linux)
Тип ПО Операционная система
Операционные системы и аппаратные платформы
  • Canonical Ltd. Ubuntu 12.04 32-bit
  • Canonical Ltd. Ubuntu 16.04 LTS 32-bit
  • Novell Inc. OpenSUSE Leap 42.3
  • Canonical Ltd. Ubuntu 18.04 LTS
  • Canonical Ltd. Ubuntu 18.10
  • Сообщество свободного программного обеспечения Debian GNU/Linux 8.0
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9.0
  • ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» (запись в едином реестре российских программ №4433)
  • Novell Inc. OpenSUSE Leap 15.0 32-bit
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
  • Canonical Ltd. Ubuntu 14.04 ESM
  • Сообщество свободного программного обеспечения Linux от 4.14 до 4.14.105
  • Сообщество свободного программного обеспечения Linux от 4.19 до 4.19.27
  • Сообщество свободного программного обеспечения Linux от 4.20 до 4.20.14
  • Сообщество свободного программного обеспечения Linux от 4.9 до 4.9.162
Тип ошибки Разыменование указателя NULL
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 05.03.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,9)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Linux:
Обновление программного обеспечения до 4.19.152-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета linux) до 4.19.152-1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета linux) до 4.19.152-1 или более поздней версии

Для Ubuntu:
https://usn.ubuntu.com/3930-1/
https://usn.ubuntu.com/3930-2/
https://usn.ubuntu.com/3931-1/
https://usn.ubuntu.com/3931-2/
https://usn.ubuntu.com/3932-1/
https://usn.ubuntu.com/3932-2/
https://usn.ubuntu.com/3933-1/
https://usn.ubuntu.com/3933-2/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-03/msg00045.html
https://lists.opensuse.org/opensuse-security-announce/2019-04/msg00052.html
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения